@import url(https://fonts.googleapis.com/css?family=Roboto:400,300);
* {
  border: 0;
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html, body {
  min-height: 100%;
}

.group-flex {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100dvh;
}

body {
  background-color: #333;
  font-family: 'Roboto';
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
}

h1 {
    font-weight: bold;
    font-size: 21px;
    margin-bottom: 5px;
}

button {
  padding: 10px;
  font-size: 16px;
  cursor: pointer;
  font-weight: bold;
  margin-top: 30px;
  text-transform: uppercase;
}

.pile button {

    background-color: #F44336;
    color: #fff;
    padding: 5px;
    font-size: 12px;
    width: 100%;
    display: flex;
    justify-content: center;
    margin: 0;
    margin-top: 7px;
}

.start {

    margin-top: 10px;
    display: inline-block;
    padding: 10px;
    color: #fff;
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase;
    background-color: #054a08;
}

.step {
  padding: 20px;
  text-align: center;
  display: none;
  height: 100%;
}
.step:nth-child(odd) {
  background: #333;
  color: #ffffff;
}
.step:nth-child(odd) button {
    background-color: #F44336;
    color: #fff;
}
.step:nth-child(even) {
  background: #f44336;
  color: #333;
}
.step:nth-child(even) button {
  background-color: #333;
  color: #ffffff;
}
.step.step-0 {
  display: block;
}
.step.step-0 button {
  float: none;
  margin: 0;
      margin-top: 10px;
}

.step-5:nth-child(even) {

    background: #8BC34A;
    color: #333;
}

.pile {
max-width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    border: 1px solid;
    margin-bottom: 15px;
    padding-top: 7px;
}

.pile br {

    display: none;
}

.cards {
margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    pointer-events: none; /* Desabilita todas as interações de mouse */
  cursor: not-allowed; 
}

p {

    font-size: 16px;
    line-height: 19px;
    display: inline-block;
    padding-bottom: 10px;
}

.card {
    font-size: 13px;
    font-weight: bold;
    background: #fff;
    cursor: pointer;
    width: 25px;
    height: 50px;
    color: #000;
    float: left;
    text-align: center;
    line-height: 75px;
    box-shadow: 1px 1px 1px #000, inset 1px 1px 1px #000000;
    align-items: center;
    display: flex;
    justify-content: center;
}


#final_cards {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;

}

#final_cards div:nth-child(1) {

    background-color: #009688;
    color: #fff;
    opacity: 1;
}

.your_number {
  color: #f00;
  font-weight: bold;
}
